Mercenary Redfoot:
Have you heard of the association of human traders known as the Aden Business Guild? They became aware of the great profits that Dwarven traders and warehouse keepers were generating. They decided to form a guild of their own. They don't realize how important the Dwarven business instinct is. No matter how hard they try, they will never keep up with Dwarves.
To add insult to injury, they have suffered great losses from attacks by evil spirits on their trade routes.
Return